{% extends 'property_vacancy_management/building_unit/building_unit.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/property_user/edit') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/property_user/edit') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('property_vacancy_management_building_unit_property_user_overview', {'buildingUnitId': buildingUnit.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">
            Objekt {{ buildingUnit.getName() }} - Nutzer
            {% if is_granted('view', propertyUser.getPerson()) == true %}
                {{ propertyUser.getPerson().getName() }}
            {% endif %}
        </span>
        {% if is_granted('edit', buildingUnit) == true %}
            {{ form_widget(propertyUserForm.save, {'label': 'SPEICHERN', 'id': propertyUserForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
            {% include 'component/mdc_context_menu_component.html.twig' with {
                'id': 'property_user',
                'listItems': [
                    {
                        'label': 'Nutzer:in entfernen',
                        'url': path('property_vacancy_management_building_unit_property_user_remove', {'buildingUnitId': buildingUnit.getId(), 'propertyUserId': propertyUser.getId }),
                        'icon': 'delete_forever'
                    },
                ]
            } only %}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-4">
                {% if is_granted('edit', buildingUnit) == true %}
                    {{ form_start(propertyUserForm, {'attr': {'id': propertyUserForm.vars.id ~ '_form'}}) }}
                {% endif %}
                {% include 'property_vacancy_management/form/property/property_user_form.html.twig' with {'form': propertyUserForm, 'buildingUnit': buildingUnit} only %}
                {% if is_granted('edit', buildingUnit) == true %}
                    {{ form_row(propertyUserForm._token) }}
                    {{ form_end(propertyUserForm, {'render_rest': false}) }}
                {% endif %}
            </div>
        </div>
    </div>
{% endblock %}
